<manifest version="4.0" type="device">
    <hal format="hidl" override="true">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.radio.config</name>
        <transport>hwbinder</transport>
        <version>1.3</version>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.mediatek.hardware.mtkradioex</name>
        <transport>hwbinder</transport>
        <version>3.0</version>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.hnradio</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.radio_radar</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.radioenhance</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
    </hal>
</manifest>
